--- a/src/celestia/Makefile.am
+++ b/src/celestia/Makefile.am
@@ -88,7 +88,8 @@ celestia_LDADD = \
 	../cel3ds/libcel3ds.a \
 	../celmath/libcelmath.a \
 	../celutil/libcelutil.a \
-	$(SPICE_LIBS)
+	$(SPICE_LIBS) \
+	$(GL_LIBS)
 
 noinst_HEADERS = $(wildcard *.h)
 noinst_DATA = ../../celestia
--- a/src/celestia/Makefile.in
+++ b/src/celestia/Makefile.in
@@ -538,7 +538,8 @@ celestia_LDADD = \
 	../cel3ds/libcel3ds.a \
 	../celmath/libcelmath.a \
 	../celutil/libcelutil.a \
-	$(SPICE_LIBS)
+	$(SPICE_LIBS) \
+	$(GL_LIBS)
 
 noinst_HEADERS = $(wildcard *.h)
 noinst_DATA = ../../celestia
